<?php include "../index/conexion.inc" ?>
<?php include "../index/validacion.php" ?>
<?php
	// conexión
	$servername = $svr_servidor;
	$conectioninfo = array("Database"=>$svr_base, "UID"=>$svr_usuario, "PWD"=>$svr_contrasena, "CharacterSet"=>"UTF-8");
	$conexion = sqlsrv_connect($servername, $conectioninfo);
	if ($conexion == false)
	{
		$mensaje = "Existe un error al intentar conectarse con el servidor...";
	}
	else
	{
		// VARIABLES
		$cV01 = $_POST['desde'];	/* DESDE */
		$cV02 = $_POST['hasta'];	/* HASTA */
		// PARAMETROS PARA EXPORTAR
		header("Pragma: public");
		header("Expires: 0");
		$filename = "Ingreso documentos de compra.xls";
		header("Content-type: application/x-msdownload");
		header("Content-Disposition: attachment; filename=$filename");
		header("Pragma: no-cache");
		header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
		echo "
			<table>
				<thead>
					<tr>
						<th>TIPO DOC</th>
						<th>DOCUMENTO</th>
						<th>IDESTADO</th>
						<th>SERIE</th>
						<th>ALBARAN</th>
						<th>SUALBARAN</th>
						<th>FECHA ALBARAN</th>
						<th>PROVEEDOR</th>
						<th>COD.ALMACEN</th>
						<th>COD.PROVEEDOR</th>
						<th>COD.ARTICULO</th>
						<th>REFERENCIA</th>
						<th>TALLA</th>
						<th>COLOR</th>
						<th>UNIDADES</th>
					</tr>
				</thead>
				<tbody>";
					// CONSULTA SQL
					$sql = "SELECT PC.TIPODOC, T.DESCRIPCION AS DOCUMENTO, PC.IDESTADO, PC.NUMSERIE, PC.NUMALBARAN, PC.SUALBARAN, PC.FECHAALBARAN, P.CODPROVEEDOR, PL.CODALMACEN, \n"
						  ."P.NOMPROVEEDOR, PL.CODARTICULO, PL.REFERENCIA, PL.TALLA, PL.COLOR, PL.UNIDADESTOTAL \n"
						  ."FROM ALBCOMPRACAB AS PC \n"
						  ."INNER JOIN ALBCOMPRALIN AS PL ON (PC.NUMSERIE = PL.NUMSERIE) AND (PC.NUMALBARAN= PL.NUMALBARAN) \n"
						  ."LEFT JOIN PROVEEDORES AS P ON (PC.CODPROVEEDOR = P.CODPROVEEDOR) \n"
						  ."LEFT JOIN TIPOSDOC As T ON (PC.TIPODOC = T.TIPODOC) \n"
						  ."WHERE PC.TIPODOC IN (4,21) AND (CONVERT(DATE,FECHAALBARAN,3)>='".$cV01."' AND  CONVERT(DATE,FECHAALBARAN,3)<='".$cV02."')";
					$pa1 = array();
					$op1 = array("scrollable" => SQLSRV_CURSOR_KEYSET);
					// Lanzar la consulta
					$re1 = sqlsrv_query($conexion, $sql, $pa1, $op1);
					while($fila = sqlsrv_fetch_array($re1))
					{
						echo "
							<tr>
								<td>".$fila['TIPODOC']."</td>
								<td>".$fila['DOCUMENTO']."</td>
								<td>".$fila['IDESTADO']."</td>
								<td>".$fila['NUMSERIE']."</td>
								<td>".$fila['NUMALBARAN']."</td>
								<td>".$fila['SUALBARAN']."</td>
								<td>".$fila['FECHAALBARAN']->format('Y-m-d h:m:s')."</td>
								<td>".$fila['CODPROVEEDOR']."</td>
								<td>".$fila['CODALMACEN']."</td>
								<td>".$fila['NOMPROVEEDOR']."</td>
								<td>".$fila['CODARTICULO']."</td>
								<td>".$fila['REFERENCIA']."</td>
								<td>".$fila['TALLA']."</td>
								<td>".$fila['COLOR']."</td>
								<td>".$fila['UNIDADESTOTAL']."</td>
							</tr>
						";
					}
				echo "
				</tbody>
			</table>
		";
	}
	// Desconexion
	sqlsrv_close($conexion);
?>